using System;

using Syntriax.Engine.Core.Abstract;

namespace Syntriax.Engine.Physics2D.Abstract;

public interface ICollider2D : IBehaviour, IAssignableTransform
{
    Action<ICollider2D, CollisionDetectionInformation>? OnCollisionDetected { get; set; }
    Action<ICollider2D, CollisionDetectionInformation>? OnCollisionResolved { get; set; }

    IRigidBody2D? RigidBody2D { get; }

    void Recalculate();
}
